All of lore.kernel.org
 help / color / mirror / Atom feed
From: Wincent Colaiuta <win@wincent.com>
To: git@vger.kernel.org
Cc: gitster@pobox.com, Wincent Colaiuta <win@wincent.com>
Subject: [PATCH 3/3] Test interaction between diff --check and --exit-code
Date: Fri, 14 Dec 2007 12:23:44 +0100	[thread overview]
Message-ID: <1197631424-52586-4-git-send-email-win@wincent.com> (raw)
In-Reply-To: <1197631424-52586-3-git-send-email-win@wincent.com>

Make sure that it works as advertised in the man page.

Signed-off-by: Wincent Colaiuta <win@wincent.com>
---
 t/t4017-diff-retval.sh |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

diff --git a/t/t4017-diff-retval.sh b/t/t4017-diff-retval.sh
index 6873190..dc0b712 100755
--- a/t/t4017-diff-retval.sh
+++ b/t/t4017-diff-retval.sh
@@ -76,4 +76,33 @@ test_expect_success 'git diff-index --cached HEAD' '
 	}
 '
 
+test_expect_success '--check --exit-code returns 0 for no difference' '
+
+	git diff --check --exit-code
+
+'
+
+test_expect_success '--check --exit-code returns 1 for a clean difference' '
+
+	echo "good" > a &&
+	git diff --check --exit-code
+	test $? = 1
+
+'
+
+test_expect_success '--check --exit-code returns 3 for a dirty difference' '
+
+	echo "bad   " >> a &&
+	git diff --check --exit-code
+	test $? = 3
+
+'
+
+test_expect_success '--check with --no-pager returns 2 for dirty difference' '
+
+	git --no-pager diff --check
+	test $? = 2
+
+'
+
 test_done
-- 
1.5.4.rc0.1099.g76fa0-dirty

  reply	other threads:[~2007-12-14 11:24 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-12-14 11:23 [PATCH 0/3] diff topic tweaks Wincent Colaiuta
2007-12-14 11:23 ` [PATCH 1/3] Revert changes and extend diff option documentation Wincent Colaiuta
2007-12-14 11:23   ` [PATCH 2/3] Use shorter error messages for whitespace problems Wincent Colaiuta
2007-12-14 11:23     ` Wincent Colaiuta [this message]
2007-12-16 19:43   ` [PATCH 1/3] Revert changes and extend diff option documentation Junio C Hamano
2007-12-17  8:27     ` git.c option parsing (was: [PATCH 1/3] Revert changes and extend diff option documentation) Wincent Colaiuta
2007-12-17  8:48       ` git.c option parsing Junio C Hamano
2007-12-17  9:01         ` Wincent Colaiuta
2007-12-17  9:20           ` Pierre Habouzit
2007-12-17  9:26             ` Pierre Habouzit
2007-12-17  9:50             ` [PATCH] Have a flag to stop the option parsing at the first argument Pierre Habouzit
2007-12-17 10:34               ` Johannes Schindelin
2007-12-17 11:10               ` Wincent Colaiuta
2007-12-17 11:47                 ` Pierre Habouzit
2007-12-17 11:50                   ` Johannes Schindelin
2007-12-17 12:06                     ` Wincent Colaiuta
2007-12-17 12:26                       ` Johannes Schindelin
2007-12-17 12:40                         ` Wincent Colaiuta
2007-12-17 12:55                           ` Johannes Schindelin
2007-12-17 13:12                             ` Wincent Colaiuta
2007-12-17 13:30                               ` Johannes Schindelin
2007-12-17 13:57                                 ` Wincent Colaiuta
2007-12-17 15:13                               ` Johannes Sixt
2007-12-17 16:29                                 ` Pierre Habouzit

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1197631424-52586-4-git-send-email-win@wincent.com \
    --to=win@wincent.com \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.